%define pkg_name        Event-RPC
%define pkg_version     0.90
%define rpm_pkg_version 0.90
%define rpm_pkg_release 2.n0i.3

Summary:       Transparent Client/Server OO RPC framework
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JR/JRED/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Glib)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(Net::SSLeay)
BuildRequires: perl(Storable)
%endif


%description
Event::RPC consists of a server and a client library. The server exports a
list of classes and methods, which are allowed to be called over the
network. More specific it acts as a proxy for objects created on the server
side (on demand of the connected clients) which handles client side methods
calls with transport of method arguments and return values.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.90-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Tue May 02 2006 Marius Feraru <altblue@n0i.net> - 0.90-1.n0i.2
- version 0.90

* Sat Apr 08 2006 Marius Feraru <altblue@n0i.net> 0.89-1.n0i.1
- spec file (re)created using main/v1.12.0
- rebuild on perl 5.8.8
